<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Inline elements</title>
  <meta name="GENERATOR" content="amaya 6.1, see http://www.w3.org/Amaya/" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <style type="text/css">
  </style>
  <link href="../style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="en" lang="en">

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><p><img border="0" alt="W3C" src="../../images/w3c_home" /> <img
        border="0" alt="Amaya" src="../../images/amaya.gif" /></p>
      </td>
      <td><p align="right"><a href="../Manual.html.es"></a></p>

        <p align="right"><a href="address.html.es"><img alt="previous"
        border="0" src="../../images/left.gif" /></a> <a
        href="../HTML.html.es"><img alt="top" border="0"
        src="../../images/up.gif" /></a> <a href="40styling.html.es"><img
        alt="next" border="0" src="../../images/right.gif" /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="Inline3">
<h1>Inline markup</h1>

<p>Text within a paragraph, heading, or other block element can be marked up
in a variety of ways, for example to emphasise it, or to highlight text that
should be entered by a user into a computer. Most of these inline elements
are described in this page, although links, which are inline elements, are
described separately.</p>

<div>
<h2><a name="Inline21"></a><a name="Definition">Definitions</a></h2>

<p>The <a
href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-DFN"><code>DFN</code></a>element
is used to mark an <dfn>inline definition</dfn> (a word which is given as a
defining instance)</p>

<p><a href="../StyleSheets.html.es">Style sheets</a> can be used to change the
presentation of inline definitions.</p>
</div>

<div>
<h2><a name="Inline1">Inline Quotations</a></h2>

<p>Quotations which are inline can be marked using the information type
"quotation" - the HTML element <a
href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-Q"><code>Q</code></a>.
This element is selected from the character elements submenu of the Style
menu, or in linux with the keyboard shortcut Alt-t, Alt-q. It is possible to
give a URI source for the quotation, using the <code>cite</code>
attribute.</p>

<p><a href="../StyleSheets.html.es">Style sheets</a> can be used to change the
presentation of inline quotations. The HTML specification states that inline
quotation should be rendered with the appropriate punctuation marks for the
language being represented.</p>
</div>

<div>
<h2><a name="Sample">Sample input, output and computer code</a></h2>

<p>Elements are provided to mark computer code, such as
<code>statement:do-something</code>, with separate markup for
<var>variables</var>, as well as <kbd>user input</kbd> and <samp>program
output</samp> - the elements <a
href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-CODE"><code>CODE</code></a>,
<a
href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-VAR"><code>VAR</code></a>,
<a
href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-KBD"><code>KBD</code></a>
and <a
href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-SAMP"><code>SAMP</code></a>.
These elements are found in the information types submenu of the Style menu,
and there are keyboard shortcuts in Unix for all of them - Alt-t followed by
Alt-c for code, Alt-v for variables, Alt-k for user input and Alt-s for
sample output.</p>

<p><a href="../StyleSheets.html.es">Style sheets</a> can be used to change the
presentation of these elements.</p>
</div>

<div>
<h2><a name="Inline">Acronyms and abbreviations</a></h2>

<p>Acronyms and abbreviations should be marked as such, using the <a
href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-ABBR"><code>ABBR</code></a>
and <a
href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-ACRONYM"><code>ACRONYM</code></a>
elements available in the information types submenu of the Style menu. For
unix there is also the shortcut Alt-t, Alt-a for acronym. This allows
recognition for different types of systems. The <code>title</code> attribute
can also be used to specify the expansion of the acronym. Select the text to
be marked, for example <acronym
title="World Wide Web Consortium">W3C</acronym>, select the Style menu, the
information types submenu, and the option acronym. Then select the entire
element (<kbd>Escape key</kbd> on Unix, <kbd>F2 key</kbd> on windows), open
the Attributes menu, select title, enter <kbd>World Wide Web
Consortium</kbd>, and apply it.</p>

<p><a href="../StyleSheets.html.es">Style sheets</a> can be used to change the
presentation of acronyms or abbreviations.</p>
</div>

<div>
<h2><a name="Inline2">Insertions and deletions</a></h2>

<p>The <a href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-del"
name="DEL"><code>DEL</code></a> and <a
href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-ins"><code>INS</code></a>
elements are available in the information types submenu of the Style menu to
mark text <del>which ought</del>to be deleted or which has <ins>already</ins>
been inserted.</p>

<p><a href="../StyleSheets.html.es">Style sheets</a> can be used to change the
presentation of insertions and deletions.</p>
</div>

<div>
<h2><a name="Emphasis">Emphasis elements</a></h2>

<p>HTML has elements to define two levels of emphasis:</p>
<ol>
  <li><em>Ordinary emphasis</em>, using the <a
    href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-EM">EM</a>
    element and</li>
  <li><strong>Strong emphasis</strong>, using the <code><a
    href="http://www.w3.org/TR/REC-html40/struct/text.html.es#edef-STRONG">STRONG</a></code>
    element.</li>
</ol>

<p>Both types of emphasis can be applied from the toolbar using the <img
src="../../images/Em.gif" alt="Emphasis" /> and <img
src="../../images/Strong.gif" alt="Strong" /> buttons, or from the
Information type submenu of the Style menu. There are also standard keyboard
shortcuts - <kbd>Shift-control-I</kbd> for emphasis (because the default
rendering is often italicised text) and <kbd>Shift-control-B</kbd> for strong
emphasis (becuase the default rendering is often bold text). If there is a
current selection, the emphaisis is applied to that, otherwise the
appropriate element is created, as a child of the current element.</p>

<p>The emphasis elements are toggled in Amaya - to remove an emphasis select
the element and reapply the appropriate emphasis. For example place the
cursor somewhere in a <code>STRONG</code> element, use the <kbd>F2</kbd>
(windows) or <kbd>Escape</kbd> (Unix) key to select the element, and then use
the keyboard shortcut, menu item, or the <img src="../../images/Strong.gif"
alt="Strong" /> button - the <code>STRONG</code> element will be removed.</p>

<p><a href="../StyleSheets.html.es">Style sheets</a> can be used to change the
presentation of both types of emphasis.</p>
</div>
</div>
</body>
</html>
