<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <title>About Producing Accessible Content</title>
  <style type="text/css">  </style>
  <meta name="GENERATOR" content="amaya 5.2" />
  <link href="../style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="en" lang="en">

<table border="0" summary="toc">
  <tbody>
    <tr>
      <td><img alt="W3C" src="../../images/w3c_home" /> <img alt="Amaya"
        src="../../images/amaya.gif" /></td>
      <td><p><a href="about_amayas_accessibility_features.html.es" accesskey="p"><img alt="previous"
        src="../../images/left.gif" /></a> 
		<a href="../Access.html.es" accesskey="t"><img alt="top" src="../../images/up.gif" /></a> 
		</p>
      </td>
    </tr>
  </tbody>
</table>

<div id="page_body">
<h1>About Producing Accessible Content</h1>

<p>You can use Amaya to produce content that conforms to the W3C's Web
Content Accessibility Guidelines. Some <span class="Link0"><a
href="about_amayas_accessibility_features.html.es">accessibility
features</a></span> are already built in. For example, you cannot add an
image until you specify the alternative text because of the requirement for
an <code>alt</code> attribute for images and imagemap areas.</p>

<p>Amaya also automatically produces valid W3C-compliant markup. However, you
control other features, such as appropriate long descriptions and captioning,
through the <strong>Attributes</strong> menu (Formatted view) or
<strong>Structure</strong> menu (Structure view).</p>

<p>The Amaya Help currently describes how to use some HTML elements. As
additional documentation is written, it will include information on ensuring
accessibility for any pages that you produce.</p>

<p>The most thorough guidelines are the W3C's Web Content Accessibility
Guidelines. The W3C's Web Accessibility Initiative also publishes the
following quick tips for making accessible Web sites:</p>
<ul>
  <li><strong>Images &amp; animations</strong>. Use the <code>alt</code>
    attribute to describe the function of each visual. For more information,
    see <span class="Link0">Working with Graphics</span>.
    <p></p>
  </li>
  <li><strong>Image maps</strong>. Use client-side MAP and text for hotspots.
    For more information, see <span class="Link0">Working with Image
    Maps</span>.
    <p></p>
  </li>
  <li><strong>Multimedia</strong>. Provide captioning and transcripts of
    audio, and descriptions of video.
    <p></p>
  </li>
  <li><strong>Hypertext links</strong>. Use text that makes sense when read
    out of context. For example, avoid using &quot;click here&quot; as the link text.
    <p></p>
  </li>
  <li><strong>Page organization</strong>. Use headings, lists, and a
    consistent structure. Use CSS for layout and style where possible. For
    more information, see <span class="Link0"><a
    href="../style_sheets/working_with_styles.html.es">Working with Style
    Sheets</a></span>.
    <p></p>
  </li>
  <li><strong>Graphs and charts</strong>. Summarize the data or use the <span
    class="Link0"><span style="font-family: courier">longdesc</span>
    attribute</span>. For more information, see <span class="Link0"><a
    href="../using_graphics/working_with_graphics.html.es">Working with
    Graphics</a></span>.
    <p></p>
  </li>
  <li><strong>Scripts, applets, and plug-ins</strong>. Provide alternative
    content in case active features are inaccessible or unsupported.
    <p></p>
  </li>
  <li><strong>Tables</strong>. Use tables to make line-by-line reading
    sensible and to summarize data. For more information, see <span
    class="Link0"><a
    href="../editing_tables/working_with_tables.html.es">Working with
    Tables</a></span>.
    <p></p>
  </li>
  <li><strong>Frames</strong>.  Display pages without frames, using
    <code>NOFRAMES</code> and meaningful titles.
    <p></p>
  </li>
  <li><strong>Check your work</strong>. Validate your documents prior to
    <span class="Link0"><a
    href="../saving_and_publishing_documents/saving_and_publishing_documents.html.es">publishing</a></span>.
    You can use the W3C tools, checklist, and guidelines at:
    <p><span class="Link0"><a href="http://www.w3.org/TR/WAI-WEBCONTENT">http://www.w3.org/TR/WAI-WEBCONTENT.</a></span></p>
  </li>
</ul>
</div>

</body>
</html>
