<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <title>Known Issues with Annotations and Modified Documents</title>
  <style type="text/css">
  </style>
  <meta name="GENERATOR" content="amaya 5.2" />
  <link href="../style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="en" lang="en">

<table border="0" summary="toc">
  <tbody>
    <tr>
      <td><img alt="W3C" src="../../images/w3c_home" /> 
	      <img alt="Amaya" src="../../images/amaya.gif" /></td>
      <td><p><a href="configuring_icons.html.es" accesskey="p">
	  		<img alt="previous" src="../../images/left.gif" /></a> 
		<a href="../Annotations.html.es" accesskey="t">
		   <img alt="top" src="../../images/up.gif" /></a> 
	</p>
      </td>
    </tr>
  </tbody>
</table>

<div id="page_body">
<h1>Known Issues with Annotations and Modified Documents</h1>

<p>When you use annotations with live documents (documents whose contents can
be modified), you may encounter two kinds of problems: <strong>orphan annotations</strong> and
<strong>misleading annotations</strong>. To explain these problems, we must first describe how
Amaya attaches annotations to documents.</p>

<p>Amaya uses <strong><a
href="http://www.w3.org/XML/Linking">XPointer</a></strong> to indicate where an annotation should be attached to
a document. XPointers are based in the structure of the document. To build an
XPointer for a selection, for example, Amaya starts from the first point of
the selection and walk backwards through the document's structure, until it
finds the root of the document. If an element has an ID attribute, Amaya
stops building the XPointer and considers the element with the ID attribute
value to be the beginning of that XPointer.</p>

<p>For example, if you look at the HTML source for this document, you'll notice
that this section is enclosed within a DIV
element that has an ID attribute with the value "Issues" Here's an extract
of the source code:</p>
<pre>  &lt;div id="Issues"&gt;
  &lt;h1&gt;Issues with ....&lt;/h1&gt;
  &lt;p&gt;If you are using...&lt;/p&gt;
  &lt;p&gt;Amaya uses &lt;strong&gt;XPointer&lt;/strong&gt;...&lt;/p&gt;
  ...
  &lt;/div&gt;</pre>

<p>This XPointer points to the second paragraph:
<code>xpointer(id("Issues")/p[2])</code></p>

<p>The above XPointer points to the second <code>p</code> element, from the
element parent having an ID attribute with value "Issues".</p>

<p>Note that the use of the ID attribute enables the document author to move
the entire reference by the XPointer to another location within the document,
without needing to update the XPointer. The XPointer does not depend on the
elements that precede it.</p>

<h2>Orphan Annotations</h2>
<p>An annotation becomes an &quot;orphan&quot; when it can no longer be attached to a
document, that is, when the XPointer does not resolve to any element in the
structure. This happens when a document's structure is modified. Amaya
displays a warning if it detects any orphan annotations while downloading a
set of annotations from an annotation server. All orphan annotations are
visible from the Links view and are associated with an icon that shows a
question mark superimposed on the annotation pencil <img src="../../images/annotorp.png"
alt="Orphan annotation icon" />.</p>

<h2>Misleading Annotations</h2>

<p>An annotation becomes &quot;misleading&quot; when it points to a wrong piece of
information. This problem is common when you annotate a portion of text that
may change. In the first release, Amaya does not warn the user if an
annotation is misleading. A future release may notify users of the potential
for an annotation to be misleading.</p>

<h2>What can you do to avoid this?</h2>

<p>As the author of a document, try to use the <code>ID</code> attribute in
strategic places, for example, inside <code>&lt;DIV&gt;</code> and <code>p</code> 
elements. For example:</p>

<pre>  &lt;p id="Amaya"&gt;Amaya uses...&lt;/p&gt;</pre>

<p>An XPointer that points to this paragraph is: <code>xpointer(id("Amaya"))</code></p>

<p>Thus, the Xpointer will point to the same paragraph, regardless of its
position in the document's structure.</p>

<p>Amaya enables you to automatically associate with or remove an
<code>ID</code> attribute to/from a set of elements by choosing
<strong>Add/Remove ID</strong> from the <strong>Special</strong> menu.</p>
</div>

</body>
</html>

