<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta name="GENERATOR" content="amaya 5.3, see http://www.w3.org/Amaya/" />
  <title>The Save As Command</title>
  <style type="text/css">
  </style>
  <link href="../style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="en" lang="en">

<table border="0" summary="toc">
  <tbody>
    <tr>
      <td><img alt="W3C" src="../../images/w3c_home" /> <img alt="Amaya"
        src="../../images/amaya.gif" /></td>
      <td><p><a href="the_save_command.html.es" accesskey="p"><img
        alt="previous" src="../../images/left.gif" /></a> <a
        href="../Publishing.html.es" accesskey="t"><img alt="top"
        src="../../images/up.gif" /></a> <a
        href="saving_documents_as_text.html.es" accesskey="n"><img alt="next"
        src="../../images/right.gif" /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="page_body">
<h1>The Save As Command</h1>

<p>Choosing <strong>Save As</strong> from the <strong>File</strong> menu
opens the <strong>Save As</strong> dialog, where you can: save the document
as XML, HTML, or as a text file to a local disk or a remote URI; save
embedded images into the same document directory or a different location; and
transform embedded URIs.</p>

<h2>The Save As Dialog</h2>

<p>The items in the dialog box, from top to bottom, left to right are used as
follows:</p>
<ul>
  <li>The <strong>Document format</strong> offers a choice between
    <strong>HTML</strong>, <strong>XML</strong> (XHTML) and
    <strong>Text</strong> for HTML documents. This submenu is not shown when
    saving a SVG, a MathML, a CSS, or any other document type. By default,
    Amaya keeps the current document format. The entry <strong>Text</strong>
    removes the HTML mark-up and replaces it by spaces, newlines, and so on. 
    <p></p>
  </li>
  <li>The <strong>Document location</strong> field indicates where the file
    is to be written. This can be a file in the local file system (for
    example, <code>/pub/html/welcome.html</code>) or the name of a remote URI
    (for example, <code>http://www.w3.org/pub/WWW/Welcome.html</code>). 
    <p></p>
    <p class="Note"><strong>Note:</strong><span xml:lang="EN" lang="EN"
    style="font-weight:normal">Use</span><strong><span></span></strong>a
    complete path for the URL. You should also make sure that you have the
    rights to do a <code>PUT</code>method if it is a remote location. Refer
    to the page on <a
    href="http://www.w3.org/Amaya/User/Put.html">configuring your server to
    accept the PUT method</a> or ask your Web administrator.</p>
    <p></p>
  </li>
</ul>
<ul>
  <li>The <strong>Copy Images</strong> toggle indicates whether the images
    embedded in the current document must be copied along with the document
    to the new location. It's generally better to keep this switch on as
    otherwise you will not be sure that the corresponding images will be
    found when opening the document later. However, switching it off is
    useful when you have only changed the text of the document and the
    document is stored on the same server. When images are copied, Amaya will
    automatically update all <strong>SRC</strong> attributes to point new
    image locations. New locations will be relative URIs. 
    <p></p>
  </li>
  <li>The <strong>Transform URIs</strong> toggle transforms all current URIs
    into relative URIs when possible. Of course, if the document is saved in
    a local file and URIs point to remote files, URIs will be absolute. This
    ensures that all the links in the document remain correct after the copy.
    However, if you have several document linked together with relative URIs
    and you plan to move them to a remote location, you must disable URI
    conversion to avoid referencing the initial locations. 
    <p></p>
  </li>
  <li>The <strong>Images location</strong> field allows you to save images
    (if <strong>Copy Images</strong> has been selected) to a different place
    than the HTML file. This field should contain the name of a directory on
    the local file system or a location on the remote server. 
    <p></p>
    <ul>
      <li>Using a relative path, the images are stored at a location relative
        to the document directory. For example, if the document location is
        <code><a
        href="http://www.w3.org/pub/WWW/Welcome.html.es">http://www.w3.org/pub/WWW/Welcome.html</a><a
        href="http://www.w3.org/pub/WWW/Welcome.html.es"></a></code> and the
        images location is "Images", an image "W3C.png" contained in the
        document is stored at the URI <code><a
        href="http://www.w3.org/pub/WWW/Images/W3C.png">http://www.w3.org/pub/WWW/Images/W3C.png</a></code>
        and the HTML file is modified to reference it as: 
        <p></p>
        <p><code>&lt;img src="Images/W3C.png"&gt;</code></p>
        <p></p>
        <p>This is similar in the case of a document location on the local
        file system.</p>
        <p></p>
      </li>
      <li>Using an absolute path, the images are stored at this exact
        location, independently of the document location. In the previous
        example, if the specified images location is
        <code>http://pub/WWW/Images</code>, the image is stored at
        <code>http://www.w3.org/pub/WWW/Images/W3C.png</code> and the
        corresponding HTML file is modified in the following way: 
        <p></p>
        <p><code>&lt;img src="Images/W3C.png"&gt;</code></p>
      </li>
    </ul>
  </li>
</ul>

<p>Several buttons are at the bottom:</p>
<ul>
  <li>Clicking <strong>Confirm</strong> starts the process of transforming
    the document. A dialog asks for confirmation in both of the following
    cases: 
    <ul>
      <li>The document has to be saved on a remote server. Amaya displays the
        complete URI to be written to for verification.</li>
      <li>The document has to be saved locally and the file already exists. 
        <p></p>
      </li>
    </ul>
  </li>
  <li>When saving to a remote location, check that the http_proxy is not set,
    or that the proxy server and the <a
    href="http://www.w3.org/Amaya/User/Put.html">target server are configured
    to work with the PUT</a> method. 
    <p></p>
  </li>
  <li>Amaya does not currently contact the remote server (in case of an
    <code>http://...</code> destination) to check whether such a document
    already exists. 
    <p></p>
  </li>
  <li>Clicking <strong>Browse</strong> lets you select a local directory and
    file name: 
    <ul>
      <li>The <strong>Document directories</strong> field shows the
        directories contained in the current directory. It should be used to
        save a file on the local file system.</li>
      <li>The <strong>Files</strong> field shows the files contained in the
        current local directory. 
        <p></p>
      </li>
    </ul>
  </li>
  <li>Clicking <strong>Clear</strong> removes the current contents of both
    the <strong>Document location</strong> field and the <strong>Images
    location</strong> field. 
    <p></p>
  </li>
  <li>Clicking <strong>Change Charset</strong> opens a pop-up window that
    enables you to change the charset of the document. This option only works
    with documents that support the notion of charset, such as HTML and XML
    ones. This option is available when saving both remote and local
    documents. 
    <p></p>
  </li>
  <li>Clicking <strong>Change Mime Type</strong> opens a pop-up window where
    you can select the MIME type of the document. If the MIME type you're
    looking for is not listed, you can type it in yourself. This button is
    only active when saving a document to a server (local file systems don't
    store the MIME metadata information.). 
    <p></p>
  </li>
  <li>Clicking <strong>Cancel</strong> terminates the command.</li>
</ul>

<h2>See also:</h2>
<ul>
  <li><a href="the_save_command.html.es">The Save Command</a></li>
</ul>
</div>

</body>
</html>
